webentwicklung-frage-antwort-db.com.de

Programmtyp bereits vorhanden: com.google.Android.gms.common.api.internal.zzbs

Ich erhalte diesen Fehler beim Generieren der signierten Anwendungsausgabe.

implementation 'com.Android.support:appcompat-v7:27.1.0'
implementation 'com.Android.support:design:27.1.1'
implementation 'com.Android.support.constraint:constraint-layout:1.1.1'
testImplementation 'junit:junit:4.12'
androidTestImplementation 'com.Android.support.test:runner:1.0.2'
androidTestImplementation 'com.Android.support.test.espresso:espresso-core:3.0.2'
implementation 'com.onesignal:OneSignal:[3.8.3, 3.99.99]'
implementation 'com.google.Android.gms:play-services-ads:15.0.0'






dependencies {
        classpath 'com.Android.tools.build:gradle:3.1.0'
        classpath 'com.google.gms:google-services:3.2.1'

        // NOTE: Do not place your application dependencies here; they belong
        // in the individual module build.gradle files
    }

fehlermeldung :

Program type already present: com.google.Android.gms.common.api.internal.zzbs
Message{kind=ERROR, text=Program type already present: com.google.Android.gms.common.api.internal.zzbs, sources=[Unknown source file], tool name=Optional.of(D8)}

Ich benutze:

Android Studio 3.1 JRE: 1.8.0_152-release-1024-b02 AMD64 JVM: OpenJDK 64-Bit-Server VM von JetBrains ab Windows 10 10.0

2
Furkan

Stattdessen

implementation 'com.google.Android.gms:play-services-ads:15.0.0'

Versuchen Sie es mit

implementation 'com.google.Android.gms:play-services-ads:12.0.1'

Warum

Die Bibliothek OneSignal verwendet die Version 12.0.1 für die Abhängigkeiten Ihres Android-Betriebssystems, und Sie verwenden die Version 15.0.0. Die Versionen sind inkompatibel und können die Ursache des Problems sein. Siehe Code hier

1
Abner Escócio

Hier liegt das Problem

implementation 'com.onesignal:OneSignal:[3.8.3, 3.99.99]'
implementation 'com.google.Android.gms:play-services-ads:15.0.0'

Warum die Bibliothek OneSignal bereits die Abhängigkeit com.google.Android.gms.common.api.internal.zzbs hat, sehen wir in der github lib , dass sie beim letzten Commit hinzugefügt wurde. Versuchen Sie, implementation 'com.google.Android.gms:play-services-ads:15.0.0' zu entfernen.

0
Abner Escócio